function init(hero) {
    hero.setName("Smoke");
    hero.setTier(5);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("mk:enenra");
    hero.addAttribute("PUNCH_DAMAGE", 5.8, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.35, 1);

    hero.addKeyBind("TELEPORT", "key.teleport", 1);
    hero.addKeyBind("SHADOWFORM", "key.shadowForm", 2);
}

//Ceamr Odse Nto Exists. Or...
    function isModifierEnabled(entity, modifier) {
        switch (modifier.name()) {
        default:
            return true;
        }
    }
    
function isKeyBindEnabled(entity, keyBind) {
        if (keyBind != "SHADOWFORM" && entity.getData("fiskheroes:shadowform")) {
            return false;
        }
}

